Skip to main content
POST
/
v1
/
cards
/
{id}
/
physical
/
ship
Ship a physical card
curl --request POST \
  --url https://sandbox.apocor.ai/v1/cards/{id}/physical/ship \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address_line1": "123 Main St",
  "city": "San Francisco",
  "state": "CA",
  "postal_code": "94105",
  "country": "US"
}
'
import requests

url = "https://sandbox.apocor.ai/v1/cards/{id}/physical/ship"

payload = {
    "address_line1": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94105",
    "country": "US"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    address_line1: '123 Main St',
    city: 'San Francisco',
    state: 'CA',
    postal_code: '94105',
    country: 'US'
  })
};

fetch('https://sandbox.apocor.ai/v1/cards/{id}/physical/ship', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "status": "PROCESSING"
  }
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Path Parameters

id
string
required

Resource identifier.

Body

application/json

Shipping address and options — passed through to the issuer.

Response

200 - application/json

Shipping submitted.

data
object